/**
 * Copyright 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 */
package com.sunlabs.archsim.fleet.components.switchFabric;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * Defaults for switch fabric components.
 * 
 * @author ib27688
 *
 */
public class SwitchFabricDefaults {

	private SwitchFabricDefaults() {}
	
	public static final String BRANCH_FANOUT= "branchFanout";
	public static final int BRANCH_FANOUT_DEF= 2;
	
	public static final String BRANCH_MASK= "branchMask";
	public static final int BRANCH_MASK_DEF= 1;

	public static final String BRANCH_MASK_BIT= "branchMaskBit";
	public static final int BRANCH_MASK_BIT_DEF= 0;
	
	public static final String MERGE_FANIN= "mergeFanIn";
	public static final int MERGE_FANIN_DEF= 2;
	
	public static final String MERGE_ARBITER_DELAY= "mergeArbiterDelay";
	public static final Delay MERGE_ARBITER_DELAY_DEF= new Delay(0);
	
	public static final String MERGE_PASS_DELAY= "mergePassDelay";
	public static final Delay MERGE_PASS_DELAY_DEF= new Delay(0);
	
	public static final String MERGE_ACK_DELAY= "mergeAckDelay";
	public static final Delay MERGE_ACK_DELAY_DEF= new Delay(0);

	public static final String MERGE_ARBITER_ACTION_PASS_DELAY= "mergeArbiterActionPassDelay";
	public static final Delay MERGE_ARBITER_ACTION_PASS_DELAY_DEF= new Delay(0);

	public static final String MERGE_INTOUT_ACTION_PASS_DELAY= "mergeIntouActionPassDelay";
	public static final Delay MERGE_INTOUT_ACTION_PASS_DELAY_DEF= new Delay(0);	
	
	public static final String MERGE_ARBITER_ACTION_FIRED_DELAY= "mergeInpuAckDelay";
	public static final Delay MERGE_ARBITER_ACTION_FIRED_DELAY_DEF= new Delay(0);

	public static final String MERGE_INTOUT_ACTION_FIRED_DELAY= "mergeOutputAckDelay";
	public static final Delay MERGE_INTOUT_ACTION_FIRED_DELAY_DEF= new Delay(0);
	
} // class SwitchFabricDefaults
