/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Jan 31, 2005
 *
 */
package com.sunlabs.archsim.tests.fifo;


import com.sunlabs.archsim.base.simulation.Delay;
import com.sunlabs.archsim.gasp.Action;
import com.sunlabs.archsim.gasp.Function;

/**
 * @author ib27688
 * 
 * Model a generatod of data items in a FIFO.
 * Data items generated are consecutive integers, starting at zero.
 */
public class FifoSource extends Action {

	public FifoSource(String name) {
		super(name);
		outputFunctions.put("dataOut", new GenerateData());
	} // FifoAction
	
	/** Generate new data items */
	private class GenerateData extends Function {

		private int next= 0;
		
		public GenerateData() {
			super("GenerateData");
			functionDelay= new Delay(10); // was 20
		}
		
		public Object value() {
			next++;
			if (FifoGlobal.sourceDisplayGenerated) {
				director.journal("Source generated " + next);
			}
			return new Integer(next);	
		} // value
	} // PassData

} // FifoSource
