/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Feb 7, 2005
 *
 */
package com.sunlabs.archsim.tests.splitter;

import com.sunlabs.archsim.base.hierarchy.CompositeEntity;
import com.sunlabs.archsim.gasp.State;

/**
 * @author ib27688
 *
 * Model a component that takes 64 bit input and produces 5 12 bit outputs
 * in a sequence, copying 12 bits from the input to the outut at a time, 
 * starting with 12 lowest bits.
 */
public class Splitter extends CompositeEntity {

	private State dataIn;
	private State ackDataIn;
	
	private State dataOut;
	private State ackDataOut;
	
	public Splitter(String name) {
		super(name);		
	}

	public void setDataIn(State in) {
		dataIn= in;
	}

	public void setAckDataIn(State out) {
		ackDataIn= out;
	}
	
	public void setDataOut(State out) {
		dataOut= out;
	}

	public void setAckDataOut(State in) {
		ackDataOut= in;
	}

	public State getDataIn() {
		return dataIn;
	}
	
	public State getAckDataIn() {
		return ackDataIn;
	}
	
	public State getDataOut() {
		return dataOut;
	}
	
	public State getAckDataOut() {
		return ackDataOut;
	}
	
	
} // Splitter
